## brltty 5.6

=== Android/Core/Makefile ===
# Android/Core/Makefile.  Generated from Makefile.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2018 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser General Public License, as published by the Free Software
# Foundation; either version 2.1 of the License, or (at your option) any
# later version. Please see the file LICENSE-LGPL for details.
#
# Web Page: http://brltty.com/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

SRC_TOP = ../../
SRC_DIR = .
# VPATH = .

BLD_TOP = ./../../
BLD_DIR = .

include $(SRC_TOP)common.mk

ANDROID_PACKAGE_NAME = BRLTTY_Core
ANDROID_PACKAGE_PATH = org.a11y.brltty.core
include $(SRC_TOP)Android/common.mk

ANDROID_CORE_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_core.$(LIB_EXT)
ANDROID_JNI_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_jni.$(LIB_EXT)

$(ANDROID_PACKAGE_FILE): libraries

libraries:
	cd $(BLD_TOP)$(PGM_DIR) && $(MAKE) $(ANDROID_CORE_LIBRARY) $(ANDROID_JNI_LIBRARY) $(BRAILLE_DRIVERS)
	$(INSTALL_DIRECTORY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_CORE_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_JNI_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(STRIP) $(ANDROID_PLATFORM_DIRECTORY)/*.$(LIB_EXT)

=== debian/changelog ===
brltty (5.6-5~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Upload to jessie-backports-sloppy.
    - debian/brltty.postinst: Set brlapi.key permissions to 0644, since polkit
    is not available here.
    - Use libespeak-dev instead of libespeak-ng-libespeak-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 16:55:22 +0200

brltty (5.6-5) unstable; urgency=medium

  * patches/atspi2-shutdown: Automatically shut down brltty on session shut
    down.
  * control: Bump Standards-Version to 4.1.5 (no changes).
  * control: Mark python-brlapi and python3-brlapi Multi-Arch: same.
  * patches/policykit-fix: Fix polkit authentication (Closes: #905058).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Aug 2018 18:14:54 +0200

brltty (5.6-4~bpo9+1) stretch-backports; urgency=medium

  * Upload to stretch-backports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Jun 2018 21:34:27 +0200

brltty (5.6-4) unstable; urgency=medium

  * Cherry-pick python brlapi close fix, to avoid orca accumulating brlapi
    connections.
  * Cherry-pick at-spi2 initialization fix.
  * Cherry-pick xbrlapi patch to be able to type any keysym.
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2018 19:28:00 +0200

brltty (5.6-3) unstable; urgency=medium

  * debian/patches/41-java-bytecode-compat.patch: Bump java compatability to
    1.6 and later (Closes: Bug#893102).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 16 Mar 2018 15:20:39 +0100

brltty (5.6-2) unstable; urgency=medium

  * debian/copyright: Fix licence terms.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Feb 2018 11:35:38 +0100

brltty (5.6-1) experimental; urgency=medium

  * New upstream release.
    - debian/patches/api_startup.patch: Upstreamed.
    - debian/patches/git-07ecca2240c680373e9c2e5e38241edde9d1a677: Upstreamed.
    - debian/patches/brldefs-install.patch: Upstreamed.
    - debian/patches/git-ba42441d03c6145fe6859c90fb01b1fa16221a2f: Upstreamed.
    - debian/brltty-udeb.udev.rules: Add new device IDs.
    - debian/control: Add liblouis-dev build-dep.
    - debian/rules: Make brltty install appstream data.
  * control: Avoid the ALSA PCM package on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Feb 2018 17:18:14 +0100

=== debian/control ===
Source: brltty
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
Homepage: https://brltty.com
Build-Depends: debhelper (>= 9.20160709), dh-lisp, dh-python, dh-strip-nondeterminism,
               autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
               libasound2-dev [linux-any],
               python-all-dev (>= 2.7~0),
               python3-all-dev,
               cython,
               libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
               libicu-dev, liblouis-dev,
               libpolkit-gobject-1-dev,
               default-jdk [!m68k],
               doxygen, linuxdoc-tools, groff,
               flite1-dev, libncursesw5-dev,
               libxaw7-dev, x11proto-kb-dev, libxtst-dev,
               libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
               libbluetooth-dev [linux-any],
               libspeechd-dev,
               libespeak-dev
Build-Conflicts: libatspi-dev,
                 libasound2-dev [!linux-any]
Standards-Version: 4.1.5
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
Recommends: python
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: brltty-speechd, brltty-x11,
          console-braille
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva/Optelec (ABT3xx, Delphi, Satellite, Braille System 40, BC 640/680)
  * Baum
  * BrailComm
  * BrailleLite
  * BrailleNote
  * Cebra
  * EcoBraille
  * EuroBraille (AzerBraille, Clio, Esys, Iris, NoteBraille, Scriba)
  * Freedom Scientific (Focus and PacMate)
  * Handy Tech
  * HIMS (Braille Sense, SyncBraille)
  * HumanWare (Brailliant)
  * Iris
  * LogText 32
  * MDV
  * Metec (BD-40)
  * NinePoint
  * Papenmeier
  * Pegasus
  * Seika
  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille,
            BraillePen/EasyLink)
  * Tivomatic (Albatross)
  * TSI (Navigator, PowerBraille)
  * VideoBraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.6.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
 and python-brlapi (Python).

Package: libbrlapi0.6
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: braille display access via BRLTTY - shared library
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java bindings for BrlAPI (native library)
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: java
Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
Description: Java bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Flite speech driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-speechd
Architecture: any
Recommends: speech-dispatcher
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Speech Dispatcher driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the speech-dispatcher
 speech synthesis server.

Package: brltty-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - espeak driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the espeak
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
Package-Type: udeb
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, preseed-common
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.
XB-Installer-Menu-Item: 1050

Package: brltty-x11
Architecture: any
Recommends: xbrlapi (>= 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Breaks: gnome-orca (<< 3.14.0-3~)
Description: Access software for a blind person using a braille display - X11 drivers
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional screen drivers for BRLTTY which require X11 or
 GNOME.

Package: xbrlapi
Architecture: any
Replaces: brltty-x11 (<< 4.3-3)
Breaks: brltty-x11 (<< 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access software for a blind person using a braille display - xbrlapi
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package provides xbrlapi, a brltty X11 helper which handles proper
 keyboard simulation and window selection.

Package: cl-brlapi
Architecture: all
Section: lisp
Depends: ${misc:Depends}, cl-cffi, libbrlapi0.6
Description: Common Lisp bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Common Lisp bindings vor BrlAPI.

Package: python-brlapi
Architecture: any
Multi-Arch: same
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Braille display access via BRLTTY - Python bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 2.x bindings for BrlAPI.

Package: python3-brlapi
Architecture: any
Multi-Arch: same
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Braille display access via BRLTTY - Python3 bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=brltty
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
BRLAPI_VERSION=0.6
CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# java is not supported by m68k (200712)
ifeq ($(DEB_HOST_ARCH),m68k)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif

PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"

CONFIGURE_OPTIONS = --mandir=/usr/share/man \
		    --without-viavoice --without-theta --without-swift

DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping

UDEB_CFLAGS=-Os -fomit-frame-pointer
UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
	contracted-braille api gpm iconv icu x polkit
UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
	--without-init-path --without-curses \
	--with-bluetooth-package=none \
	--with-service-package==none \
	$(patsubst %,--disable-%,$(UDEB_DISABLE))
UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_OPTIONS+=--without-usb-package
endif

export JAVA_HOME=/usr/lib/jvm/default-java

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-*stamp
	rm -rf build-brltty* build-py*
	rm -f Bindings/Python/bindings.o
	rm -f acdir/config.sub
	rm -f acdir/config.guess
	rm -f configure
	rm -f debian/initramfs/hooks/brltty
	rm -f Documents/BrlAPIref/html/jquery.js

	dh_clean

acdir/config.sub: /usr/share/misc/config.sub 
	cp -f $< $@
acdir/config.guess: /usr/share/misc/config.guess
	cp -f $< $@

configure:
	./autogen

config: build-brltty/config.status
build-brltty/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty
	cd build-brltty && \
		$(HARDENING) \
		../configure --disable-python-bindings \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-python: $(PYVERS:%=build-py%/config.status)
build-py%/config.status:
	mkdir -p build-py$*
	cd build-py$* && \
	PYTHON=/usr/bin/python$* \
		$(HARDENING) \
		../configure \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-udeb: build-brltty-udeb/config.status
build-brltty-udeb/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty-udeb
	cd build-brltty-udeb && \
	CFLAGS="$(UDEB_CFLAGS)" ../configure \
		$(CONFIGURE_OPTIONS) \
		$(UDEB_CONFIGURE_OPTIONS)

build-arch: build-brltty build-udeb
build-indep: build-arch build-python
build: build-indep build-arch

build-brltty: build-stamp
build-stamp: config
	dh_testdir

	$(MAKE) -C build-brltty
	$(MAKE) -C build-brltty/Documents

	# doxygen inserts the current time into all the man-pages it creates without
	# a possibility to turn that off (AFAICT). So replacing the date with something
	# more reasonable: the timestamp of the last Debian changelog entry.
	# Closes: http://bugs.debian.org/708585
	sed --in-place -e \
		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C date --date='$(CL_DATE)' +'%a %b %d %Y')\2/" \
		build-brltty/Documents/BrlAPIref/man/man3/*

	# Likewise, make sure that the html does not contain the version number of
	# LinuxDoc-Tools to at least have a lot higher chance of the files being the
	# same.
	find build-brltty -name '*.html' -exec sed --in-place -e \
		's/\(<META NAME="GENERATOR" CONTENT="LinuxDoc-Tools\)[^>]*>/\1">/' \
		{} +

	touch $@

build-python: config-python $(PYVERS:%=build-py%-stamp)
build-py%-stamp: config-python
	dh_testdir

	$(MAKE) -C build-py$*/Bindings/Python

	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp: config-udeb
	dh_testdir

	$(MAKE) -C build-brltty-udeb

	touch $@

# Build architecture-independent files here.
binary-indep: brltty

# Build architecture-dependent files here.
binary-arch: brltty brltty-udeb

brltty: build-brltty build-python
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build-brltty install install-appstream INSTALL_ROOT=`pwd`/debian/tmp
	set -e ; for pyver in $(PYVERS); do \
		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
	done

	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv `pwd`/debian/tmp/lib/libbrlapi* `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	rm -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	test -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION)
	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
	dh_install	
	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
	chmod +x debian/$@/etc/brltty/Contraction/latex-access.ctb
	dh_installdocs
	dh_installexamples -p$@
	for file in Drivers/Braille/*/README*; \
		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
		done
	dh_systemd_enable -p$@
	# -r because we don't want to lose the console on an upgrade
	dh_installinit -p$@ -r -- start 25 S .
	# and likewise for systemd
	dh_systemd_start -p$@ --restart-after-upgrade
	dh_installchangelogs Documents/ChangeLog
	dh_installman
	dh_lintian
	dh_python2 -ppython-brlapi
	dh_python3 -ppython3-brlapi
	mv debian/brltty/lib/brltty/libbrlttysfl.so \
		debian/brltty-flite/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyssd.so \
		debian/brltty-speechd/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyses.so \
		debian/brltty-espeak/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttybxw.so \
		debian/brltty-x11/lib/brltty
	mkdir -p debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/etc/brltty/Input/xw/all.txt \
		debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/usr/share/doc/brltty/XWindow.README \
		debian/brltty-x11/usr/share/doc/brltty-x11/
	mv debian/brltty/lib/brltty/libbrlttyxa2.so \
		debian/brltty-x11/lib/brltty
ifneq ($(DISABLE_JAVA_SUPPORT),1)
	mv debian/tmp/usr/share/java/brlapi.jar \
		debian/libbrlapi-java/usr/share/java
	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
endif
	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	dh_strip_nondeterminism -a -i -Nbrltty-udeb
	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
	dh_compress
	dh_fixperms
	dh_makeshlibs -n -p$@
	dh_makeshlibs -a -Nbrltty-udeb
	dh_installdeb -a -i -Nbrltty-udeb
	dh_shlibdeps -a -Nbrltty-udeb
	dh_gencontrol -a -i -Nbrltty-udeb
	dh_md5sums -a -i -Nbrltty-udeb
	dh_builddeb -a -i -Nbrltty-udeb

brltty-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_installdirs -pbrltty-udeb

	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb

	# temporary fix

## brltty 6.0%2Bdfsg

=== Android/Core/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # BRLTTY - A background process providing access to the console screen (when in
 #          text mode) for a blind person using a refreshable braille display.
 #
-# Copyright (C) 1995-2018 by The BRLTTY Developers.
+# Copyright (C) 1995-2019 by The BRLTTY Developers.
 #
 # BRLTTY comes with ABSOLUTELY NO WARRANTY.
 #
@@ -12,7 +12,7 @@
 # Foundation; either version 2.1 of the License, or (at your option) any
 # later version. Please see the file LICENSE-LGPL for details.
 #
-# Web Page: http://brltty.com/
+# Web Page: http://brltty.app/
 #
 # This software is maintained by Dave Mielke <dave@mielke.cc>.
 ###############################################################################

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: brltty
 Section: admin
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
+Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 9.20160709), dh-lisp, dh-python, dh-strip-nondeterminism,
-               autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
+Build-Depends: debhelper (>= 11~), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
+               autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
-               python-all-dev (>= 2.7~0),
                python3-all-dev,
-               cython,
+               cython3 (>= 0.28.4),
+               libexpat1-dev, libpcre3-dev,
                libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
                libicu-dev, liblouis-dev,
                libpolkit-gobject-1-dev,
-               default-jdk [!m68k],
+               default-jdk [!hppa !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !m68k],
                doxygen, linuxdoc-tools, groff,
                flite1-dev, libncursesw5-dev,
                libxaw7-dev, x11proto-kb-dev, libxtst-dev,
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-dev
+               libespeak-ng-dev, libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev,
                  libasound2-dev [!linux-any]
-Standards-Version: 4.1.5
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+Standards-Version: 4.4.0
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
-Recommends: python
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
@@ -71,12 +71,12 @@
  BRLTTY also provides a client/server based infrastructure for applications
  wishing to utilize a Braille display.  The daemon process listens for incoming
  TCP/IP connections on a certain port.  A shared object library for clients is
- provided in the package libbrlapi0.6.  A static library, header files and
+ provided in the package libbrlapi0.7.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
  programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
- and python-brlapi (Python).
-
-Package: libbrlapi0.6
+ and python3-brlapi (Python).
+
+Package: libbrlapi0.7
 Architecture: any
 Multi-arch: same
 Section: libs
@@ -96,7 +96,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libbrlapi0.7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libbrlapi1-dev (<< 3.8)
 Description: Library for communication with BRLTTY - static libs and headers
  BRLTTY is a daemon which provides access to the console (text mode)
@@ -112,6 +112,7 @@
 
 Package: libbrlapi-jni
 Architecture: any
+Multi-Arch: same
 Section: java
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Java bindings for BrlAPI (native library)
@@ -127,6 +128,7 @@
 
 Package: libbrlapi-java
 Architecture: all
+Multi-Arch: foreign
 Section: java
 Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
 Description: Java bindings for BrlAPI
@@ -197,6 +199,7 @@
 
 Package: xbrlapi
 Architecture: any
+Multi-Arch: foreign
 Replaces: brltty-x11 (<< 4.3-3)
 Breaks: brltty-x11 (<< 4.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -211,7 +214,7 @@
 Package: cl-brlapi
 Architecture: all
 Section: lisp
-Depends: ${misc:Depends}, cl-cffi, libbrlapi0.6
+Depends: ${misc:Depends}, cl-cffi, libbrlapi0.7
 Description: Common Lisp bindings for BrlAPI
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -221,21 +224,6 @@
  lets it write braille.
  .
  This package provides Common Lisp bindings vor BrlAPI.
-
-Package: python-brlapi
-Architecture: any
-Multi-Arch: same
-Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Description: Braille display access via BRLTTY - Python bindings
- BRLTTY is a daemon which provides access to the console (text mode)
- for a blind person using a braille display.  It drives the braille
- display and provides complete screen review functionality.
- .
- BrlAPI is a library which gives an application access to a braille display and
- lets it write braille.
- .
- This package provides Python 2.x bindings for BrlAPI.
 
 Package: python3-brlapi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,33 +5,33 @@
 
 PACKAGE=brltty
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-BRLAPI_VERSION=0.6
+BRLAPI_VERSION=0.7
 CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-# java is not supported by m68k (200712)
-ifeq ($(DEB_HOST_ARCH),m68k)
+# java is not supported on a few archs
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64 m68k))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
 DISABLE_JAVA_SUPPORT=1
 endif
 
-PYDEFAULTVER := $(shell pyversions --default --version)
-PYVERS := $(shell pyversions --requested --version debian/control)
-PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
+PYVERS := $(shell py3versions --supported --version)
 
 HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"
 
 CONFIGURE_OPTIONS = --mandir=/usr/share/man \
-		    --without-viavoice --without-theta --without-swift
+		    --without-viavoice --without-theta --without-swift \
+		    JAVA_JNI_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-UDEB_CFLAGS=-Os -fomit-frame-pointer
+DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
 	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
-	--without-init-path --without-curses \
+	--without-init-path --without-curses --without-rgx-package \
 	--with-bluetooth-package=none \
 	--with-service-package==none \
 	$(patsubst %,--disable-%,$(UDEB_DISABLE))
@@ -43,6 +43,8 @@
 endif
 
 export JAVA_HOME=/usr/lib/jvm/default-java
+
+PATH := $(JAVA_HOME)/bin:$(PATH)
 
 binary: binary-indep binary-arch
 
@@ -164,6 +166,8 @@
 	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
 	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
+	# Does not work anyway
+	rm -fr build-brltty/Bindings/Java/doc/jquery
 	dh_install	
 	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
 	chmod +x debian/$@/etc/brltty/Contraction/latex-access.ctb
@@ -172,21 +176,24 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	dh_systemd_enable -p$@
+	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
+	dh_installsystemd -p$@ --no-enable
+	dh_installsystemd -p$@ --name brltty-udev
 	# -r because we don't want to lose the console on an upgrade
-	dh_installinit -p$@ -r -- start 25 S .
+	# dh_installinit -p$@ --no-start
 	# and likewise for systemd
-	dh_systemd_start -p$@ --restart-after-upgrade
+	dh_installsystemd -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
 	dh_installman
 	dh_lintian
-	dh_python2 -ppython-brlapi
 	dh_python3 -ppython3-brlapi
 	mv debian/brltty/lib/brltty/libbrlttysfl.so \
 		debian/brltty-flite/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttyssd.so \
 		debian/brltty-speechd/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttyses.so \
+		debian/brltty-espeak/lib/brltty
+	mv debian/brltty/lib/brltty/libbrlttysen.so \
 		debian/brltty-espeak/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttybxw.so \
 		debian/brltty-x11/lib/brltty
@@ -207,22 +214,9 @@
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
 	dh_strip_nondeterminism -a -i -Nbrltty-udeb
 	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
-	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
+	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
 	dh_compress
-	dh_fixperms
+	dh_fixperms -X /var/lib/BrlAPI
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
 	dh_installdeb -a -i -Nbrltty-udeb
-	dh_shlibdeps -a -Nbrltty-udeb
-	dh_gencontrol -a -i -Nbrltty-udeb
-	dh_md5sums -a -i -Nbrltty-udeb
-	dh_builddeb -a -i -Nbrltty-udeb
-
-brltty-udeb: build-udeb
-	dh_testdir
-	dh_testroot
-	dh_installdirs -pbrltty-udeb
-
-	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
-
-	# temporary fix

## brltty 6.0+dfsg

=== debian/changelog ===
brltty (6.0+dfsg-6) unstable; urgency=medium

  * brltty-udeb.udev.rules: Merge with upstream's rules file, to make updating
    much easier.
  * brltty-udeb.udev.sh: Add -E option for udev script to make brltty detect
    exactly the right device.
  * README.source: Document the dfsg tarball modifications.
  * patches/sd_session_get_vt: Automatically get VT nr from logind.
  * control: Update alioth list domain.
  * patches/python-writeDots: Fix python's writeDots binding.
  * patches/xbrlapi-root-unknown: do not print the root window name.
  * brltty-udeb.start: Add missing +x perm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 02:10:29 +0200

brltty (6.0+dfsg-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * patches/python-verbose: Make python bindings build verbose when V=1 is set.
  * patches/log-spam: Avoid spamming log with recent Orca which tries to
    reconnect periodically.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure).
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Mar 2020 00:14:42 +0100

brltty (6.0+dfsg-4) unstable; urgency=medium

  * patches/python3: Make latex-access.ctb use python3. Make configure look
    for cython3 too.
  * patches/10-python.patch: Use python3's python.mk
  * control: Recommend python3 instead of python.
  * control: Build-depend on cython3 instead of cython (Closes: Bug#945627)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:39:33 +0100

brltty (6.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Oct 2019 19:26:20 +0200

brltty (6.0+dfsg-2) experimental; urgency=medium

  * control,rules: Re-enable java on riscv64 (Closes: Bug#933711)
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Drop X-Python3-Version 3.2.
  * sources/options: Remove now-useless compression option.
  * source/lintian-overrides: Silence some warnings.
  * brltty.{pre,post}{inst,rm}: Remove old upgrade fixes.
  * libbrlapi-dev.lintian-overrides: Silence warnings.
  * rules: Remove non-working jquery files.
  * control: Build-depend on cython (>= 0.28.4).
  * brltty.lintian-overrides: Remove package-contains-empty-directory
    lib/brltty/rw/, dropped upstream.
  * control: Remove autotools-dev build-dep, now useless.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2019 21:24:22 +0200

brltty (6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Remove non-shipped generated files DOS/cwsdpmi.exe, Windows/msvcr90.dll,
    Documents/BrlAPIref/html from upstream tarball.
    - Rename libbrlapi0.6 to libbrlapi0.7 according to soname bump.
    - debian/patches/atspi2-shutdown: Merged.
    - debian/patches/git-atspi2-init: Merged.
    - debian/patches/git-new_hedomobiline_usbid: Merged.
    - debian/patches/git-pythonclose: Merged.
    - debian/patches/git-xbrlapi: Merged.
    - debian/patches/policykit-fix: Merged.
    - debian/patches/10-python.patch: Refreshed.
    - debian/patches/java-jni: Fix jni path, allow to preseed it.
    - control: Add libexpat1-dev, libpcre3-dev build-dependencies.
    - rules: Preseed jni path.
    - rules: Disable using rgx package for d-i which does not have it.
    - control: Explicitly add libespeak-ng-dev build-dependency.
    - rules: Add espeak-ng driver to brltty-espeak package.
    - debian/libbrlapi-jni.install: Move jni to multi-arch.
    - control: Add dh-exec build-depend. Make libbrlapi-jni multiarch: same.
    - control: Make brltty, libbrlapi-java, xbrlapi multi-arch: foreign.
    - compat: Bump to 11.
    - debian/brltty.docs: Drop elder README file.
    - rules: Use dh_installsystemd instead of dh_systemd_enable and
    dh_systemd_start.
  * Demote policykit-1 Depends to Recommends on !linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2019 10:24:01 -0800

brltty (5.6-11) unstable; urgency=medium

  * brltty-udeb.prebaseconfig: Stop creating my-at-spi-dbus-bus.desktop in
    user profile, at-spi2-core now always start the at-spi bus.
  * Drop python-brlapi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 21:30:08 +0200

brltty (5.6-10) unstable; urgency=medium

  * debian/brltty-udeb.udev.rules: Fix hd detection

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Feb 2019 23:04:56 +0100

brltty (5.6-9) unstable; urgency=medium

  [ Sebastian Humenda ]
  * backport fixed/updated chipset detection for Hedo MobiLine from commit
    7299c5c70682f98b191a660eec5559479bd12d2f

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Jan 2019 22:58:12 +0100

brltty (5.6-8) unstable; urgency=medium

  * Install /var/lib/BrlAPI too for user-started brlapi servers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:59:59 +0100

brltty (5.6-7) unstable; urgency=medium

  * control, rules: Disable java on riscv64 too.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 12:18:36 +0100

brltty (5.6-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * control, rules: Disable java on archs without openjdk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 03:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: brltty
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
 Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 11~), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
+Build-Depends: debhelper-compat (= 11), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
                autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python3-all-dev,
@@ -26,12 +25,12 @@
                libespeak-ng-dev, libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev,
                  libasound2-dev [!linux-any]
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 
 Package: brltty
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any]
 Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
@@ -239,4 +238,3 @@
  lets it write braille.
  .
  This package provides Python 3 bindings.
-

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 BRLAPI_VERSION=0.7
 CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
-DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 # java is not supported on a few archs
 ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64 m68k))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
@@ -25,8 +24,7 @@
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
-UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
+UDEB_CFLAGS=-Os -fomit-frame-pointer
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
 	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
@@ -44,8 +42,6 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
-PATH := $(JAVA_HOME)/bin:$(PATH)
-
 binary: binary-indep binary-arch
 
 clean:
@@ -62,7 +58,7 @@
 
 	dh_clean
 
-acdir/config.sub: /usr/share/misc/config.sub 
+acdir/config.sub: /usr/share/misc/config.sub
 	cp -f $< $@
 acdir/config.guess: /usr/share/misc/config.guess
 	cp -f $< $@
@@ -176,11 +172,8 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
-	dh_installsystemd -p$@ --no-enable
-	dh_installsystemd -p$@ --name brltty-udev
 	# -r because we don't want to lose the console on an upgrade
-	# dh_installinit -p$@ --no-start
+	dh_installinit -p$@ -r -- start 25 S .
 	# and likewise for systemd
 	dh_installsystemd -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
@@ -220,3 +213,17 @@
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
 	dh_installdeb -a -i -Nbrltty-udeb
+	dh_shlibdeps -a -Nbrltty-udeb
+	dh_gencontrol -a -i -Nbrltty-udeb
+	dh_md5sums -a -i -Nbrltty-udeb
+	dh_builddeb -a -i -Nbrltty-udeb
+
+brltty-udeb: build-udeb
+	dh_testdir
+	dh_testroot
+	dh_installdirs -pbrltty-udeb
+
+	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
+
+	# temporary fix
+	rm -Rf debian/brltty-udeb/share

## brltty 6.3%2Bdfsg

=== debian/changelog ===
brltty (6.3+dfsg-1+deb11u1) bullseye; urgency=medium

  [ Gregory Nowak ]
  * brltty.init: Make it wait for $local_fs, like the systemd service does.
    (Closes: Bug#994729)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Sep 2021 23:37:34 +0200

brltty (6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/lock-fixes: Upstreamed.
    - patches/40-no-update-pot.patch: Refresh.
  * rules: Fix manpage date reproducibility by setting TZ to UTC.
  * brltty.manpages: Explicit list of manpages.
  * xbrlapi.manpages: Install manpage from installed path.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 17:45:12 +0100

brltty (6.2+dfsg-2) unstable; urgency=high

  * rules: Fix passing hardening flags to udeb build.
  * patches/lock-fixes: Fix some locking issues.
  * control: Make brltty pre-depend on ${misc:Pre-Depends} to get
    --skip-systemd-native.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jan 2021 01:53:04 +0100

brltty (6.2+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/atspi2-invalid-unicode: upstreamed.
    - patches/link: upstreamed.
    - patches/polkit: upstreamed.
    - brltty.examples: Update Upstart example file name.

  * Bump debhelper compat from 11 to 12.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 23 Dec 2020 18:24:57 +0100

brltty (6.2~pre.2+dfsg-3) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Also reject negative unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Dec 2020 20:45:15 +0100

brltty (6.2~pre.2+dfsg-2) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Avoid letting atspi2 return invalid
    unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2020 11:39:28 +0100

brltty (6.2~pre.2+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/no-clone-newipc: Upstreamed.
    - patches/link: Fix link.
    - patches/polkit: Fix installing polkit action.
    - rules: run make install-polkit.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 20:59:56 +0100

brltty (6.2~pre+dfsg-2) experimental; urgency=medium

  * patches/no-clone-newipc: Upstream fix for espeak access to alsa.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Nov 2020 22:43:02 +0100

brltty (6.2~pre+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - control: Add libcap-dev build-dep on linux.
    - patches/a2_cut: Upstreamed.
    - patches/a2_x11_crash: Upstreamed.
    - patches/a2_xsel_flush: Upstreamed.
    - patches/python-writeDots: Upstreamed.
    - patches/python3: Upstreamed.
    - patches/sd_session_get_vt: Upstreamed.
    - patches/xbrlapi-install: Upstreamed.
    - patches/xbrlapi-path: Upstreamed.
    - patches/xbrlapi-root-unknown: Upstreamed.
    - patches/41-java-bytecode-compat.patch: Bump to java 8 compatibility.
    - debian/brltty.examples: Fix udev rules examples paths.
    - debian/brltty-udeb.udev.rules: Update udev rules.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2020 22:49:34 +0100

brltty (6.1+dfsg-3) unstable; urgency=medium

  * patches/a2_xsel_flush: New patch to fix clipboard management.
  * patches/xbrlapi-path: Fix path to xbrlapi program.
  * patches/a2_x11_crash: Fix a2 crash on cursor routing.
  * patches/a2_cut: Fix clipboard management when running a2 screen driver
    without the BrlAPI server.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Nov 2020 18:03:54 +0100

brltty (6.1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Remove 3 unused lintian overrides.

  * debian/xbrlapi.maintscript: Remove old 60xbrlapi script.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2020 17:54:16 +0200

brltty (6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libbrlapi0.7 package to libbrlapi0.8 according to soname bump.
    - brltty-udeb.udev.rules: Update with new driver support.
    - patches/50-constants.patch: Upstreamed.
    - patches/java-jni: Upstreamed.
    - patches/python3: Refresh.
    - patches/python-verbose: Upstreamed.
    - patches/log-spam: Upstreamed.
    - control: Add libxfixes-dev build-dep.
    - patches/xbrlapi-install: New patch, fixes installing 90xbrlapi from
    out-of-source builds.
    - brltty.examples: Install systemd wrapper example too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 23:44:34 +0200
